NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Weld::JointExitBuilder Class Reference

Used to set custom edge preparation parameters of a NXOpen::Weld::WeldJoint feaure. More...

Inheritance diagram for NXOpen::Weld::JointExitBuilder:
NXOpen::Weld::WeldJointBuilder NXOpen::Weld::StructureWeldBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Classes

struct  FilletSizes
 The structure for defining fillet weld lengths. More...
 

Public Types

enum  BodySide { BodySideFirst, BodySideSecond }
 Settings to indicate the side the positions should be applied to. More...
 
enum  Positions {
  PositionsUpperChamfer, PositionsUpper, PositionsMiddle, PositionsLower,
  PositionsLowerChamfer
}
 Settings to indicate the desired position of edge preporation thickness and angle. More...
 
- Public Types inherited from NXOpen::Weld::WeldJointBuilder
enum  Application { ApplicationStructureWelding, ApplicationRouting }
 Application where joints are created. More...
 
enum  CoordinateSystem { CoordinateSystemAbsolute, CoordinateSystemShip }
 Coordinate system specification. More...
 
enum  DestinationTypes { DestinationTypesWorkPart, DestinationTypesNewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  SplitTypesEqualSegments, SplitTypesLimits, SplitTypesAngle, SplitTypesComputedAngle,
  SplitTypesLength, SplitTypesNone, SplitTypesSkip
}
 Joint splitting options. More...
 
enum  Types { TypesCreateAutomatic, TypesCreateManual, TypesCreateMultiple, TypesCreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  WeldTypesAny, WeldTypesGroove, WeldTypesFillet, WeldTypesCorner,
  WeldTypesLap, WeldTypesSocket, WeldTypesMechanical, WeldTypesSleeve,
  WeldTypesBoss
}
 Weld types. More...
 

Public Member Functions

NXOpen::Annotations::FinishMethod FinishMethod ()
 Returns the weld finish method
Created in NX10.0.0. More...
 
void GetEdgePrepValues (NXOpen::Weld::JointExitBuilder::Positions position, double *thickness, double *angle)
 Gets the thickness and angle combination to set for the desired weld position
Created in NX8.0.0. More...
 
NXOpen::Weld::JointExitBuilder::FilletSizes GetFilletLengths ()
 Gets the fillet weld values for the side of the welding joint. More...
 
NXOpen::Weld::JointExitBuilder::FilletSizes GetOppositeFilletLengths ()
 Gets the fillet weld values for the opposite side of the welding joint. More...
 
NXOpen::Annotations::Symbol OtherSideSymbol ()
 Returns the symbol for welding other side when it is not being prepared
Created in NX10.0.0. More...
 
double RootOpening ()
 Returns the desired gap between bodies being welded
Created in NX8.0.0. More...
 
void SetBothFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the symmetric fillet weld values for a welding joint. More...
 
void SetEdgePrepValues (NXOpen::Weld::JointExitBuilder::Positions position, double thickness, double angle)
 This method should be called multiple times. More...
 
void SetFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the fillet weld values for the side of the welding joint. More...
 
void SetFinishMethod (NXOpen::Annotations::FinishMethod method)
 Sets the weld finish method
Created in NX10.0.0. More...
 
void SetOppositeFilletLengths (const NXOpen::Weld::JointExitBuilder::FilletSizes &sizes)
 Sets the fillet weld values for the opposite side of the welding joint. More...
 
void SetOtherSideSymbol (NXOpen::Annotations::Symbol symbol)
 Sets the symbol for welding other side when it is not being prepared
Created in NX10.0.0. More...
 
void SetRootOpening (double rootOpening)
 Sets the desired gap between bodies being welded
Created in NX8.0.0. More...
 
void SetSide (NXOpen::Weld::JointExitBuilder::BodySide side)
 Sets the side edge preparation values will be applied to
Created in NX8.0.0. More...
 
void SetSymbolType (NXOpen::Annotations::Symbol symbol)
 Sets the symbol to override the symbol computed from the joint parameters, if NXOpen::Annotations::Symbol is not NXOpen::Annotations::SymbolNone . More...
 
NXOpen::Weld::JointExitBuilder::BodySide Side ()
 Returns the side edge preparation values will be applied to
Created in NX8.0.0. More...
 
NXOpen::Annotations::Symbol SymbolType ()
 Returns the symbol to override the symbol computed from the joint parameters, if NXOpen::Annotations::Symbol is not NXOpen::Annotations::SymbolNone . More...
 
- Public Member Functions inherited from NXOpen::Weld::WeldJointBuilder
void AddCharacteristicsInheritaceInformation ()
 Add welding characteristics inheritance information. More...
 
bool AssociativeSplit ()
 Returns whether split joints should be associative
Created in NX11.0.0. More...
 
NXOpen::ScCollectorBackingFace ()
 Returns the backing face. More...
 
NXOpen::LineColorFontWidthBuilderBossColorFontWidth ()
 Returns the color, font, and width of the boss joint curves. More...
 
int ButtColor ()
 Returns the color for butt weld type joints
Created in NX8.0.0. More...
 
NXOpen::LineColorFontWidthBuilderButtColorFontWidth ()
 Returns the color, font, and width of the butt joint curves. More...
 
NXOpen::DisplayableObject::ObjectFont ButtFont ()
 Returns the curve font for butt weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectWidth ButtWidth ()
 Returns the curve with for butt weld type joints
Created in NX8.0.0. More...
 
bool CombineConnectedJoints ()
 Returns the indication to combine connected joints if they belong to the same body
Created in NX9.0.2. More...
 
void CopyLimits (NXOpen::Die::DieLimitsBuilder *limits)
 Copy input limits to builder limits
Created in NX8.5.0. More...
 
NXOpen::LineColorFontWidthBuilderCornerColorFontWidth ()
 Returns the color, font, and width of the corner joint curves. More...
 
NXOpen::Weld::WeldJointBuilder::Application CreatedApplication ()
 Returns the application where joint is created
Created in NX10.0.0. More...
 
NXOpen::CurveCreateLimitsPath (NXOpen::Curve *jointCurve)
 Creates the path to be used for the limits. More...
 
NXOpen::Weld::WeldJointBuilder::Types CreateMethod ()
 Returns the creation method
Created in NX8.0.0. More...
 
void CreateSingleJointFromFeature (NXOpen::Curve *featureCurve, bool updateBuilder)
 Creates a joint from a feature. More...
 
void Delete ()
 Deletes all joints set by NXOpen::Weld::WeldJointBuilder::Joint . More...
 
void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to NXOpen::Weld::WeldJointBuilder::MarkJointsToKeep . More...
 
void DeleteCharacteristicsInheritaceInformation ()
 Delete welding characteristics inheritance information. More...
 
NXOpen::Weld::WeldJointBuilder::DestinationTypes Destination ()
 Returns the destination to create new joints
Created in NX8.0.0. More...
 
bool DuplicateCheck ()
 Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0. More...
 
int FilletColor ()
 Returns the color for T-joint weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectFont FilletFont ()
 Returns the curve font for T-joint weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectWidth FilletWidth ()
 Returns the curve with for T-joint weld type joints
Created in NX8.0.0. More...
 
void FindPortsInParts (const std::vector< NXOpen::Part * > &parts, std::vector< NXOpen::Routing::Port * > &ports)
 Gets ports from the parts. More...
 
double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces. More...
 
void GetConnectedParts (std::vector< NXOpen::Assemblies::Component * > &parts)
 Gets connected parts for joint. More...
 
bool GetIsLongPoint ()
 Gets the long point status. More...
 
bool GetJointChanged (NXOpen::Curve *curve)
 Indicates whether joint was changed. More...
 
NXOpen::Die::DieLimitsBuilderGetJointLimits (NXOpen::Curve *curve)
 Get the limits of an individual joint. More...
 
bool GetMidPointInformation (NXOpen::Weld::WeldJointBuilder::CoordinateSystem desiredCoordinateSystem, NXOpen::Weld::WeldJointBuilder::JointMidPointData *jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies. More...
 
void GetNewlyCreatedJoints (std::vector< NXOpen::Curve * > &curves, std::vector< NXOpen::Weld::JointItemBuilder * > &newItemBuilder)
 Gets the NXOpen::Weld::JointItemBuilder objects and curves which were just created by NXOpen::Weld::WeldJointBuilder::ShowJoints . More...
 
double GetPrimaryThickness (NXOpen::Curve *curve)
 Gets the primary thickness for a specified joint. More...
 
double GetSecondaryThickness (NXOpen::Curve *curve)
 Gets the primary secondary for a specified joint. More...
 
NXOpen::Weld::JointItemBuilderGetSingleJoint (NXOpen::Curve *curve)
 Gets the NXOpen::Weld::JointItemBuilder object associated to the input curve. More...
 
void GetVariableBevelAngles (std::vector< double > &variableAngles)
 Gets variable bevel angles. More...
 
bool IsCornerOpen ()
 Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge. More...
 
bool IsPipeJoint ()
 Returns status value of true if this is a pipe welding joint. More...
 
NXOpen::SelectCurveListJoint ()
 Returns the welding joint curves. More...
 
NXOpen::Weld::JointItemBuilderListJointList ()
 Returns the list of NXOpen::Weld::JointItemBuilder objects. More...
 
NXString JointPrefix ()
 Returns the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX11.0.0. More...
 
NXOpen::LineColorFontWidthBuilderLapColorFontWidth ()
 Returns the color, font, and width of the lap joint curves. More...
 
NXOpen::Die::DieLimitsBuilderListLimitList ()
 Returns the list of limit builders. More...
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits of the joint curve span. More...
 
void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when NXOpen::Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog. More...
 
NXOpen::ScCollectorMasterEdge ()
 Returns the master edge of a fillet weld. More...
 
double MaximumFaceGap ()
 Returns the maximum face gap used when determining if two bodies intersect. More...
 
NXOpen::LineColorFontWidthBuilderMechanicalColorFontWidth ()
 Returns the color, font, and width of the mechanical joint curves. More...
 
NXString NamePrefix ()
 Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
NXOpen::Weld::JointItemBuilderNewItem ()
 Creates a NXOpen::Weld::JointItemBuilder object. More...
 
int NumberSegments ()
 Returns the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments . More...
 
NXOpen::ScCollectorPlacementFace ()
 Returns the placement face of a fillet weld. More...
 
NXOpen::ScCollectorPrimaryEdge ()
 Returns the primary edge of a butt weld. More...
 
NXOpen::ScCollectorPrimaryFace ()
 Returns the primary face of a butt weld. More...
 
NXOpen::ScCollectorSecondaryEdge ()
 Returns the secondary edge of a butt weld. More...
 
NXOpen::ScCollectorSecondaryFace ()
 Returns the secondary face of a butt weld. More...
 
void SetAssociativeSplit (bool status)
 Sets whether split joints should be associative
Created in NX11.0.0. More...
 
void SetButtColor (int color)
 Sets the color for butt weld type joints
Created in NX8.0.0. More...
 
void SetButtFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for butt weld type joints
Created in NX8.0.0. More...
 
void SetButtWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for butt weld type joints
Created in NX8.0.0. More...
 
void SetCallbackMessage (const NXString &message)
 Sets a message to display after callback processing ends
Created in NX8.5.0. More...
 
void SetCallbackMessage (const char *message)
 Sets a message to display after callback processing ends
Created in NX8.5.0. More...
 
void SetCombineConnectedJoints (bool status)
 Sets the indication to combine connected joints if they belong to the same body
Created in NX9.0.2. More...
 
void SetCreatedApplication (NXOpen::Weld::WeldJointBuilder::Application application)
 Sets the application where joint is created
Created in NX8.0.0. More...
 
void SetCreateMethod (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation method
Created in NX8.0.0. More...
 
void SetDestination (NXOpen::Weld::WeldJointBuilder::DestinationTypes type)
 Sets the destination to create new joints
Created in NX8.0.0. More...
 
void SetDuplicateCheck (bool status)
 Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0. More...
 
void SetErrorMessage (const NXString &message)
 Sets an error message to display
Created in NX8.5.0. More...
 
void SetErrorMessage (const char *message)
 Sets an error message to display
Created in NX8.5.0. More...
 
void SetFilletColor (int color)
 Sets the color for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetFilletFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetFilletWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetJointChanged (NXOpen::Curve *curve, bool changed)
 Indicate that joint was changed. More...
 
void SetJointPrefix (const NXString &prefix)
 Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0. More...
 
void SetJointPrefix (const char *prefix)
 Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0. More...
 
void SetMaximumFaceGap (double gapValue)
 Sets the maximum face gap used when determining if two bodies intersect. More...
 
void SetNamePrefix (const NXString &prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
void SetNamePrefix (const char *prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
void SetNumberSegments (int numberSegments)
 Sets the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments . More...
 
void SetSpacingLength (double length)
 Sets the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void SetSplitAngle (double angle)
 Sets the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle . More...
 
void SetSplitLength (double length)
 Sets the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void SetSplitOption (NXOpen::Weld::WeldJointBuilder::SplitTypes option)
 Sets the method used to split the joint
Created in NX8.0.0. More...
 
void SetSubsetPart (NXOpen::Part *part)
 Sets the subset part where Design Control Elements are to be created
Created in NX9.0.1. More...
 
void SetType (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation type
Created in NX8.0.0. More...
 
void SetVariableBevelAngles (const std::vector< double > &variableAngles)
 This method is for use with the variable bevel callback. More...
 
void SetWeldType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Sets the weld type
Created in NX8.0.0. More...
 
void SetWorkPart (NXOpen::Part *part)
 Sets the saved work part
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectListShipComponent ()
 Returns the components on which the welding joints will be created. More...
 
void ShowJoints ()
 Show joints will create joints using the method set by NXOpen::Weld::WeldJointBuilder::Types . More...
 
NXOpen::LineColorFontWidthBuilderSleeveColorFontWidth ()
 Returns the color, font, and width of the sleeve joint curves. More...
 
NXOpen::LineColorFontWidthBuilderSocketColorFontWidth ()
 Returns the color, font, and width of the socket joint curves. More...
 
double SpacingLength ()
 Returns the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void Split ()
 Splits all joints set by NXOpen::Weld::WeldJointBuilder::Joint defined by NXOpen::Weld::WeldJointBuilder::SplitTypes . More...
 
double SplitAngle ()
 Returns the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle . More...
 
double SplitLength ()
 Returns the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
NXOpen::Weld::WeldJointBuilder::SplitTypes SplitOption ()
 Returns the method used to split the joint
Created in NX8.0.0. More...
 
NXOpen::PartSubsetPart ()
 Returns the subset part where Design Control Elements are to be created
Created in NX9.0.1. More...
 
NXOpen::ScCollectorTargetFace ()
 Returns the target face of a fillet weld. More...
 
NXOpen::LineColorFontWidthBuilderTJointColorFontWidth ()
 Returns the color, font, and width of the T-joint curves. More...
 
NXOpen::Weld::WeldJointBuilder::Types Type ()
 Returns the creation type
Created in NX8.0.0. More...
 
void UpdateCollectors (NXOpen::Curve *jointCurve)
 Updates the main collectors by copying data from Joint. More...
 
void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change. More...
 
void UpdateJointAfterLimitsChange (NXOpen::Die::DieLimitsBuilder *limits)
 Updates the joint curve after the limits change. More...
 
void UpdateJointType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Updates all joints set by NXOpen::Weld::WeldJointBuilder::Joint to have the given type. More...
 
NXOpen::Weld::CharacteristicsBuilderWeldingCharacteristics ()
 Returns the collection of welding characteristics defined by attributes. More...
 
NXOpen::Weld::WeldJointBuilder::WeldTypes WeldType ()
 Returns the weld type
Created in NX8.0.0. More...
 
NXOpen::PartWorkPart ()
 Returns the saved work part
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Weld::StructureWeldBuilder
std::vector
< NXOpen::Assemblies::Component * > 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder::Commit . More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to set custom edge preparation parameters of a NXOpen::Weld::WeldJoint feaure.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateJointExitBuilder
Default values.

Property Value

NumberSegments

2

RootOpening

0

SplitAngle

5.0


Created in NX8.0.0.

Member Enumeration Documentation

Settings to indicate the side the positions should be applied to.

Enumerator
BodySideFirst 

the first side.

For fillet welds only this needs to be specified.

BodySideSecond 

the other side.

This is only used for butt welds.

Settings to indicate the desired position of edge preporation thickness and angle.

Enumerator
PositionsUpperChamfer 

the upper chamfer position

PositionsUpper 

the upper position

PositionsMiddle 

the middle position

PositionsLower 

the lower position

PositionsLowerChamfer 

the lower chamfer position

Member Function Documentation

NXOpen::Annotations::FinishMethod NXOpen::Weld::JointExitBuilder::FinishMethod ( )

Returns the weld finish method
Created in NX10.0.0.



License requirements : None

void NXOpen::Weld::JointExitBuilder::GetEdgePrepValues ( NXOpen::Weld::JointExitBuilder::Positions  position,
double *  thickness,
double *  angle 
)

Gets the thickness and angle combination to set for the desired weld position
Created in NX8.0.0.



License requirements : None

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
NXOpen::Weld::JointExitBuilder::FilletSizes NXOpen::Weld::JointExitBuilder::GetFilletLengths ( )

Gets the fillet weld values for the side of the welding joint.

Returns
The fillet sizes for the side of the welding joint
Created in NX8.0.0.

License requirements : None
NXOpen::Weld::JointExitBuilder::FilletSizes NXOpen::Weld::JointExitBuilder::GetOppositeFilletLengths ( )

Gets the fillet weld values for the opposite side of the welding joint.

Returns
The fillet sizes for the opposite side of the welding joint
Created in NX8.0.0.

License requirements : None
NXOpen::Annotations::Symbol NXOpen::Weld::JointExitBuilder::OtherSideSymbol ( )

Returns the symbol for welding other side when it is not being prepared
Created in NX10.0.0.



License requirements : None

double NXOpen::Weld::JointExitBuilder::RootOpening ( )

Returns the desired gap between bodies being welded
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::JointExitBuilder::SetBothFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the symmetric fillet weld values for a welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe symmetric fillet sizes for both sides of the welding joint
void NXOpen::Weld::JointExitBuilder::SetEdgePrepValues ( NXOpen::Weld::JointExitBuilder::Positions  position,
double  thickness,
double  angle 
)

This method should be called multiple times.

First set the BodySide then call this method for each Position. For Butt welds this function should be used to set each side. After the primary side is set, change the BodySide and call this method for the secondary side. For Fillet welds, only the primary side needs to be set.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
positionPosition of edge preparation values to set.
thicknessThe thickness depth for this position.
angleThe angle of edge preporation for this position.
void NXOpen::Weld::JointExitBuilder::SetFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the fillet weld values for the side of the welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the side of the welding joint
void NXOpen::Weld::JointExitBuilder::SetFinishMethod ( NXOpen::Annotations::FinishMethod  method)

Sets the weld finish method
Created in NX10.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
methodmethod
void NXOpen::Weld::JointExitBuilder::SetOppositeFilletLengths ( const NXOpen::Weld::JointExitBuilder::FilletSizes sizes)

Sets the fillet weld values for the opposite side of the welding joint.


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sizesThe fillet sizes for the opposite side of the welding joint
void NXOpen::Weld::JointExitBuilder::SetOtherSideSymbol ( NXOpen::Annotations::Symbol  symbol)

Sets the symbol for welding other side when it is not being prepared
Created in NX10.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
symbolsymbol
void NXOpen::Weld::JointExitBuilder::SetRootOpening ( double  rootOpening)

Sets the desired gap between bodies being welded
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
rootOpeningrootopening
void NXOpen::Weld::JointExitBuilder::SetSide ( NXOpen::Weld::JointExitBuilder::BodySide  side)

Sets the side edge preparation values will be applied to
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
sideside
void NXOpen::Weld::JointExitBuilder::SetSymbolType ( NXOpen::Annotations::Symbol  symbol)

Sets the symbol to override the symbol computed from the joint parameters, if NXOpen::Annotations::Symbol is not NXOpen::Annotations::SymbolNone .

Currently only NXOpen::Annotations::SymbolJButt and NXOpen::Annotations::SymbolUButt are implemented. All other values will be treated as NXOpen::Annotations::SymbolNone


Created in NX11.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
symbolsymbol
NXOpen::Weld::JointExitBuilder::BodySide NXOpen::Weld::JointExitBuilder::Side ( )

Returns the side edge preparation values will be applied to
Created in NX8.0.0.



License requirements : None

NXOpen::Annotations::Symbol NXOpen::Weld::JointExitBuilder::SymbolType ( )

Returns the symbol to override the symbol computed from the joint parameters, if NXOpen::Annotations::Symbol is not NXOpen::Annotations::SymbolNone .

Currently only NXOpen::Annotations::SymbolJButt and NXOpen::Annotations::SymbolUButt are implemented. All other values will be treated as NXOpen::Annotations::SymbolNone


Created in NX11.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.